module.exports = (gulp, plugins, paths) => {
  var srcPath = plugins['path'].join(paths.src, paths.font);
  var destPath = [
    paths.build,
    paths.dist,
    plugins['path'].join(paths.site, 'resources')
  ];


  return () => {
    return gulp.src(srcPath)
      .pipe(plugins['ignore']((file) => {
        return /img/.test(file.relative)
      }))
      .pipe(plugins['cached']('fonts'))
      .pipe(plugins['debug']())
      .pipe(plugins['plumber']())
      .pipe(gulp.dest(destPath[0]))
      .pipe(gulp.dest(destPath[1]))
      .pipe(gulp.dest(destPath[2]))
      .pipe(plugins['browser-sync'].stream())
  }
}
