module.exports = (gulp, plugins, paths) => {
  var buildPath = plugins['path'].join(paths.build),
      distPath = plugins['path'].join(paths.dist);

  const child = require('child_process');
  const gutil = require('gulp-util');

  return () => {
    const jekyll = child.spawn('jekyll', ['serve',
      '--watch',
      '--incremental',
      '--drafts'
    ], {
      cwd: 'site'
    });

    const jekyllLogger = (buffer) => {
      buffer.toString()
        .split(/\n/)
        .forEach((message) => gutil.log('Jekyll: ' + message));
    };

    jekyll.stdout.on('data', jekyllLogger);
    jekyll.stderr.on('data', jekyllLogger);
  };
}
